* {
    outline: 1px dotted rgba(255,0,0,0);
    margin: 0;
    padding: 0;
}

*::selection {background-color: lightgray;}

body,html {font-family: 'Inter', sans-serif;}

body {
    display: flex;
    flex-direction: column;
    align-items: center;
}

/*------------------------------- Header
*/

header {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    background-color: white;
    width: 100%;
    padding: 30px 0 0 0;
    margin: 0 0 10px 0;
}

h1 {
    font-size: 16px;
    font-weight: 500;
    text-transform: uppercase;
}

h2 {
    font-size: 9px;
    font-weight: 400;
    text-transform: uppercase;
}

header > a {
    text-decoration: none;
    color: black;
}

.menu {
    margin: 40px 0;
    display: flex;
    gap: 30px;
}

.link {
    margin: 0 0 40px 0;
    font-size: 13px;
    font-weight: 300;
    text-transform: uppercase;
    text-decoration: none;
    color: rgb(159, 159, 159);
    padding-bottom: 6px;
    border-bottom: 1px solid rgba(0, 0, 0, 0)
}

.link:hover {
    border-bottom: 1px solid rgb(168, 168, 168)
}

/*------------------------------- Main
*/

main {width: 550px;}

.image-container {
    width: 550px;
    height: 550px;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    border-radius: 17px;
}

.image-container > img {
    flex-shrink: 0;
    width: 100%;
    height: 100%;
    object-fit: contain;
    pointer-events: none;
}

/*------------------------------- Info Container
*/

.info-container {margin: 15px 25px 60px 25px;}

/*------------------------------- Text description
*/

.post-description {
    display: none; /* disabled text description */
    font-family: 'Spectral', serif;
    font-weight: 300;
    font-size: 16px;
    line-height: 140%;
    margin: 17px 0 12px 0;
}

.post-timestamp {
    font-size: 10px;
    font-weight: 400;
    text-transform: uppercase;
    color: rgb(159, 159, 159);
}

.gray {
    color: rgb(215, 215, 215);
}

/*------------------------------- Poem Container
*/

.poem-container {
    margin: 100px 50px 110px 50px;
    padding: 25px 0;
    border-top: 1px solid black;
    border-bottom: 1px solid black;
}

.poem-title {
    font-size: 25px;
    font-weight: 500;
    font-family: 'Spectral', serif;
    line-height: 130%;
    text-align: center;
    margin: 0 0 15px 0;
}

.poem {
    font-family: 'Spectral', serif;
    font-weight: 300;
    font-size: 16px;
    line-height: 140%;
    margin: 0 0 10px 0;
}

.poem-timestamp {
    font-size: 10px;
    font-weight: 500;
    text-transform: uppercase;
    margin: 15px 0 0 0;
}

.poem > b {font-weight: 600;}

/*------------------------------- About
*/

.about-main {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.about {
    font-family: 'Spectral', serif;
    line-height: 150%;
    text-align: center;
    margin: 0 0 50px 0;
}


@media only screen and (max-width: 600px) {

    *::-webkit-scrollbar {display: none;}
    * {-ms-overflow-style: none; scrollbar-width: none;}

    header {margin: 0 0 20px 0;}

    .menu {margin: 35px 0 5px 0;}

    .link {font-size: 12px;}

    main {width: 90vw;}

    .image-container {
        width: 90vw;
        height: 90vw;
        border-radius: 17px;
    }

    .info-container {margin: 10px 2px 30px 2px;}

    .post-description {
        font-size: 15px;
        margin: 14px 30px 12px 30px;
    }

    .post-timestamp {
        font-size: 8px;
        margin: 0 30px 0 30px;
    }

    .poem-timestamp {font-size: 8px;}

    .about {
        font-size: 14px;
        margin: 0px 20px 50px 20px;
    }

}